Skip to main content
`Ctrl`+`K`

# TSSSPSetNumStages

set the number of stages to use with the `TSSSP` method. Must be called after `TSSSPSetType()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSSPSetNumStages(TS ts, PetscInt nstages)

Logically Collective

## Input Parameters

- ts - time stepping object

- nstages - number of stages

## Options Database Keys

- -ts_ssp_type (rks2|rks3|rk104) - Type of `TSSSP` method, see `TSSSPType`

- -ts_ssp_num_stages nstages - number of stages

## See Also

TS: Scalable ODE and DAE Solvers, `TSSSP`, `TSSSPGetNumStages()`, `TSSSPRKS2`, `TSSSPRKS3`, `TSSSPRK104`

## Level

beginner

## Location

src/ts/impls/explicit/ssp/ssp.c

## Implementations

TSSSPSetNumStages_SSP() in src/ts/impls/explicit/ssp/ssp.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages